TAA

Endpoints for managing the Transaction Author Agreement (TAA)

Fetch the TAA

post

This endpoint fetches the Transaction Author Agreement (TAA) using the provided API key.

Authorizations
x-api-keystringRequired
Responses
200

TAA fetched successfully

application/json
taaobjectOptional

The fetched TAA.

post
/api/v1/fetch-taa

Accept the TAA

post

This endpoint accepts the Transaction Author Agreement (TAA) using the provided API key and TAA data.

Authorizations
x-api-keystringRequired
Body
mechanismstringRequired

Mechanism for accepting TAA.

textstringOptional

The Transaction Author Agreement

versionstringOptional

Version of the TAA

Responses
200

TAA accepted successfully

application/json
taaobjectOptional

The accepted TAA.

post
/api/v1/accept-taa

Last updated

Was this helpful?